diff -rup rear-1.16.orig/usr/share/rear/format/USB/default/20_check_usb_layout.sh rear-1.16/usr/share/rear/format/USB/default/20_check_usb_layout.sh
--- rear-1.16.orig/usr/share/rear/format/USB/default/20_check_usb_layout.sh	2012-10-31 16:02:09.000000000 +0100
+++ rear-1.16/usr/share/rear/format/USB/default/20_check_usb_layout.sh	2014-05-08 14:23:26.000000000 +0200
@@ -53,7 +53,7 @@ ID_FS_TYPE=$(
     esac
 )
 
-[[ "$ID_FS_TYPE" == @(btr*|ext*) ]]
+[[ "$ID_FS_TYPE" == btr* || "$ID_FS_TYPE" == ext* ]]
 if (( $? != 0 )) && [[ -z "$YES" ]]; then
 	echo "USB device $REAL_USB_DEVICE must be formatted with ext2/3/4 or btrfs file system"
 	echo "Please type Yes to format $REAL_USB_DEVICE in ext3 format:"
diff -rup rear-1.16.orig/usr/share/rear/layout/save/GNU/Linux/20_partition_layout.sh rear-1.16/usr/share/rear/layout/save/GNU/Linux/20_partition_layout.sh
--- rear-1.16.orig/usr/share/rear/layout/save/GNU/Linux/20_partition_layout.sh	2014-01-22 09:57:13.000000000 +0100
+++ rear-1.16/usr/share/rear/layout/save/GNU/Linux/20_partition_layout.sh	2014-05-08 14:32:49.000000000 +0200
@@ -161,7 +161,7 @@ extract_partitions() {
             ### only report flags parted can actually recreate
             flags=""
             for flag in $flaglist ; do
-                if [[ "$flag" = @(boot|root|swap|hidden|raid|lvm|lba|palo|legacy_boot|bios_grub) ]] ; then
+                if [[ "$flag" = boot || "$flag" = root || "$flag" = swap || "$flag" = hidden || "$flag" = raid || "$flag" = lvm || "$flag" = lba || "$flag" = palo || "$flag" = legacy_boot || "$flag" = bios_grub ]] ; then
                     flags="$flags$flag,"
                 fi
             done
@@ -193,7 +193,7 @@ extract_partitions() {
             ### only report flags parted can actually recreate
             flags=""
             for flag in $flaglist ; do
-                if [[ "$flag" = @(boot|root|swap|hidden|raid|lvm|lba|palo|legacy_boot|bios_grub) ]] ; then
+                if [[ "$flag" = boot || "$flag" = root || "$flag" = swap || "$flag" = hidden || "$flag" = raid || "$flag" = lvm || "$flag" = lba || "$flag" = palo || "$flag" = legacy_boot || "$flag" = bios_grub ]] ; then
                     flags="$flags$flag,"
                 fi
             done
@@ -215,7 +215,7 @@ extract_partitions() {
             if has_binary sfdisk ; then
                 declare partition_id=$(sfdisk -c $device $partition_nr 2>&8)
                 ### extended partitions are either DOS_EXT, EXT_LBA or LINUX_EXT
-                if [[ "$partition_id" = @(5|f|85) ]]; then
+                if [[ "$partition_id" = 5 || "$partition_id" = f || "$partition_id" = 85 ]]; then
                     sed -i /^$partition_nr\ /s/\ primary\ /\ extended\ / $TMP_DIR/partitions
                 fi
             else
@@ -245,7 +245,8 @@ Log "Saving disk partitions."
     # Disk sizes
     # format: disk <disk> <sectors> <partition label type>
     for disk in /sys/block/* ; do
-        if [[ ${disk#/sys/block/} = @(hd*|sd*|cciss*|vd*|xvd*) ]] ; then
+        blockd=${disk#/sys/block/}
+        if [[ $blockd = hd* || $blockd = sd* || $blockd = cciss* || $blockd = vd* || $blockd = xvd* ]] ; then
             devname=$(get_device_name $disk)
             devsize=$(get_disk_size ${disk#/sys/block/})
 
diff -rup rear-1.16.orig/usr/share/rear/lib/framework-functions.sh rear-1.16/usr/share/rear/lib/framework-functions.sh
--- rear-1.16.orig/usr/share/rear/lib/framework-functions.sh	2013-09-16 10:12:43.000000000 +0200
+++ rear-1.16/usr/share/rear/lib/framework-functions.sh	2014-05-08 14:39:51.000000000 +0200
@@ -33,13 +33,13 @@ function Source() {
 			LogPrint "Source $relname"
 		else
 			# step-by-step mode or brakepoint if needed
-			[[ "$STEPBYSTEP" || ( "$BREAKPOINT" && "$relname" == @($BREAKPOINT) ) ]] && read -p "Press ENTER to include '$1' ..." 2>&1
+			[[ "$STEPBYSTEP" || ( "$BREAKPOINT" && "$relname" == "$BREAKPOINT" ) ]] && read -p "Press ENTER to include '$1' ..." 2>&1
 
 			Log "Including ${1##$SHARE_DIR/}"
 			test "$DEBUGSCRIPTS" && set -x
 			. "$1"
 			test "$DEBUGSCRIPTS" && set +x
-			[[ "$BREAKPOINT" && "$relname" == @($BREAKPOINT) ]] && read -p "Press ENTER to continue ..." 2>&1
+			[[ "$BREAKPOINT" && "$relname" == "$BREAKPOINT" ]] && read -p "Press ENTER to continue ..." 2>&1
 		fi
 	else
 		Debug "Skipping $1 (file not found or empty)"
diff -rup rear-1.16.orig/usr/share/rear/prep/default/03_translate_tape.sh rear-1.16/usr/share/rear/prep/default/03_translate_tape.sh
--- rear-1.16.orig/usr/share/rear/prep/default/03_translate_tape.sh	2012-06-25 10:34:09.000000000 +0200
+++ rear-1.16/usr/share/rear/prep/default/03_translate_tape.sh	2014-05-08 14:21:12.000000000 +0200
@@ -2,7 +2,7 @@
 
 if [[ "$BACKUP_URL" ]] ; then
     backup_scheme=$(url_scheme "$BACKUP_URL")
-    if [[ "$backup_scheme" == @(tape|obdr) ]] ; then
+    if [[ "$backup_scheme" == tape || "$backup_scheme" == obdr ]] ; then
         testdevice=$(url_path "$BACKUP_URL")
         ### Complain when both are specified, but don't match
         if [[ "$TAPE_DEVICE" && "$TAPE_DEVICE" != "$testdevice" ]]; then
diff -rup rear-1.16.orig/usr/share/rear/prep/default/50_guess_bootloader.sh rear-1.16/usr/share/rear/prep/default/50_guess_bootloader.sh
--- rear-1.16.orig/usr/share/rear/prep/default/50_guess_bootloader.sh	2014-03-07 15:57:26.000000000 +0100
+++ rear-1.16/usr/share/rear/prep/default/50_guess_bootloader.sh	2014-05-08 14:18:11.000000000 +0200
@@ -8,7 +8,8 @@ if [[ -f /etc/sysconfig/bootloader ]]; t
     fi
 fi
 for disk in /sys/block/* ; do
-    if [[ ${disk#/sys/block/} = @(hd*|sd*|cciss*|vd*|xvd*) ]] ; then
+    blockd=${disk#/sys/block/}
+    if [[ $blockd = hd* || $blockd = sd* || $blockd = cciss* || $blockd = vd* || $blockd = xvd* ]] ; then
         devname=$(get_device_name $disk)
         dd if=$devname bs=512 count=4 | strings > $TMP_DIR/bootloader
         grep -q "EFI" $TMP_DIR/bootloader && {
